Get team member summary
curl --request GET \
--url https://b2b-api.dev-riseworks.io/v2/teams/{team_nanoid}/member/{user_nanoid}/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://b2b-api.dev-riseworks.io/v2/teams/{team_nanoid}/member/{user_nanoid}/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api.dev-riseworks.io/v2/teams/{team_nanoid}/member/{user_nanoid}/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"user": {
"nanoid": "<string>",
"avatar": "<string>",
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"blockchain_address": "<string>",
"phone": "<string>",
"dob": "<string>",
"address": {
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip_code": "<string>",
"timezone": "<string>"
},
"social": {
"linkedin": "<string>",
"discord": "<string>",
"website": "<string>",
"x": "<string>"
},
"certifications": [
{
"nanoid": "<string>",
"title": "<string>",
"website": "<string>",
"year": 123,
"file": "<string>"
}
],
"onboarding": {
"onboarded": true
}
},
"pay_schedules": [
{
"nanoid": "<string>",
"amount": "<string>",
"payments_amount": 123,
"start_date": "<unknown>",
"end_date": "<unknown>"
}
],
"company": {
"nanoid": "<string>",
"avatar": "<string>",
"name": "<string>",
"website": "<string>",
"blockchain_address": "<string>",
"address": {
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip_code": "<string>",
"timezone": "<string>"
},
"admin_contact": {
"fullname": "<string>",
"phone": "<string>",
"email": "<string>"
},
"incorporation_country": "<string>",
"private_data": {
"tax_id": "<string>"
}
}
}
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}B2B Teams
Get team member summary
GET
/
v2
/
teams
/
{team_nanoid}
/
member
/
{user_nanoid}
/
summary
Get team member summary
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifier of a Rise team (a workspace below a company). 15-character nanoid prefixed with te-.
Required string length:
15Pattern:
^te-.*Identifier of a Rise user. 15-character nanoid prefixed with us-.
Required string length:
15Pattern:
^us-.*⌘I
